ru.bitel.bgbilling.modules.mps.server.bean

## Enum Conf.SearchType

- java.lang.Object
- - java.lang.Enum<Conf.SearchType>
  - - ru.bitel.bgbilling.modules.mps.server.bean.Conf.SearchType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Conf.SearchType>
  Enclosing class:
    Conf

      public static enum Conf.SearchType
      extends java.lang.Enum<Conf.SearchType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `contract`
    `custom`
    `email`
    `inet_login`
    `login`
    `mps_login`
    `none`
    `parameter`
    `phone`
    `voice`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Conf.SearchType` | `get(java.lang.String name)`
    `static Conf.SearchType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Conf.SearchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final Conf.SearchType none

    - #### mps_login

          public static final Conf.SearchType mps_login

    - #### contract

          public static final Conf.SearchType contract

    - #### login

          public static final Conf.SearchType login

    - #### voice

          public static final Conf.SearchType voice

    - #### email

          public static final Conf.SearchType email

    - #### phone

          public static final Conf.SearchType phone

    - #### parameter

          public static final Conf.SearchType parameter

    - #### inet_login

          public static final Conf.SearchType inet_login

    - #### custom

          public static final Conf.SearchType custom

  - ### Method Detail

    - #### values

          public static Conf.SearchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Conf.SearchType c : Conf.SearchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Conf.SearchType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static Conf.SearchType get(java.lang.String name)